org.apache.ode.bpel.pmapi.impl

## Class ReplayTypeImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.ode.bpel.pmapi.impl.ReplayTypeImpl

- All Implemented Interfaces:
    java.io.Serializable, ReplayType, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

      public class ReplayTypeImpl
      extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
      implements ReplayType

  An XML ReplayType(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.ReplayType

      `ReplayType.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.ode.bpel.pmapi.ReplayType

      `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplayTypeImpl(org.apache.xmlbeans.SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlbeans.XmlAnySimpleType` | `addNewLive()` Appends and returns a new empty "live" element
    `org.apache.xmlbeans.XmlAnySimpleType` | `addNewMock()` Appends and returns a new empty "mock" element
    `org.apache.xmlbeans.XmlAnySimpleType` | `getLive()` Gets the "live" element
    `org.apache.xmlbeans.XmlAnySimpleType` | `getMock()` Gets the "mock" element
    `java.lang.String` | `getMockQuery()` Gets the "mockQuery" element
    `boolean` | `isSetLive()` True if has "live" element
    `boolean` | `isSetMock()` True if has "mock" element
    `boolean` | `isSetMockQuery()` True if has "mockQuery" element
    `void` | `setLive(org.apache.xmlbeans.XmlAnySimpleType live)` Sets the "live" element
    `void` | `setMock(org.apache.xmlbeans.XmlAnySimpleType mock)` Sets the "mock" element
    `void` | `setMockQuery(java.lang.String mockQuery)` Sets the "mockQuery" element
    `void` | `unsetLive()` Unsets the "live" element
    `void` | `unsetMock()` Unsets the "mock" element
    `void` | `unsetMockQuery()` Unsets the "mockQuery" element
    `org.apache.xmlbeans.XmlString` | `xgetMockQuery()` Gets (as xml) the "mockQuery" element
    `void` | `xsetMockQuery(org.apache.xmlbeans.XmlString mockQuery)` Sets (as xml) the "mockQuery" element

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### ReplayTypeImpl

          public ReplayTypeImpl(org.apache.xmlbeans.SchemaType sType)

  - ### Method Detail

    - #### getMock

          public org.apache.xmlbeans.XmlAnySimpleType getMock()

      Gets the "mock" element
      Specified by:
        `getMock` in interface `ReplayType`

    - #### isSetMock

          public boolean isSetMock()

      True if has "mock" element
      Specified by:
        `isSetMock` in interface `ReplayType`

    - #### setMock

          public void setMock(org.apache.xmlbeans.XmlAnySimpleType mock)

      Sets the "mock" element
      Specified by:
        `setMock` in interface `ReplayType`

    - #### addNewMock

          public org.apache.xmlbeans.XmlAnySimpleType addNewMock()

      Appends and returns a new empty "mock" element
      Specified by:
        `addNewMock` in interface `ReplayType`

    - #### unsetMock

          public void unsetMock()

      Unsets the "mock" element
      Specified by:
        `unsetMock` in interface `ReplayType`

    - #### getMockQuery

          public java.lang.String getMockQuery()

      Gets the "mockQuery" element
      Specified by:
        `getMockQuery` in interface `ReplayType`

    - #### xgetMockQuery

          public org.apache.xmlbeans.XmlString xgetMockQuery()

      Gets (as xml) the "mockQuery" element
      Specified by:
        `xgetMockQuery` in interface `ReplayType`

    - #### isSetMockQuery

          public boolean isSetMockQuery()

      True if has "mockQuery" element
      Specified by:
        `isSetMockQuery` in interface `ReplayType`

    - #### setMockQuery

          public void setMockQuery(java.lang.String mockQuery)

      Sets the "mockQuery" element
      Specified by:
        `setMockQuery` in interface `ReplayType`

    - #### xsetMockQuery

          public void xsetMockQuery(org.apache.xmlbeans.XmlString mockQuery)

      Sets (as xml) the "mockQuery" element
      Specified by:
        `xsetMockQuery` in interface `ReplayType`

    - #### unsetMockQuery

          public void unsetMockQuery()

      Unsets the "mockQuery" element
      Specified by:
        `unsetMockQuery` in interface `ReplayType`

    - #### getLive

          public org.apache.xmlbeans.XmlAnySimpleType getLive()

      Gets the "live" element
      Specified by:
        `getLive` in interface `ReplayType`

    - #### isSetLive

          public boolean isSetLive()

      True if has "live" element
      Specified by:
        `isSetLive` in interface `ReplayType`

    - #### setLive

          public void setLive(org.apache.xmlbeans.XmlAnySimpleType live)

      Sets the "live" element
      Specified by:
        `setLive` in interface `ReplayType`

    - #### addNewLive

          public org.apache.xmlbeans.XmlAnySimpleType addNewLive()

      Appends and returns a new empty "live" element
      Specified by:
        `addNewLive` in interface `ReplayType`

    - #### unsetLive

          public void unsetLive()

      Unsets the "live" element
      Specified by:
        `unsetLive` in interface `ReplayType`